fix: 🐛 No necessary to check if fzf exists during loading. #57

Former-commit-id: add3a02ebb
This commit is contained in:
Wenxuan Zhang 2019-11-22 17:48:43 +08:00
parent 51d25d0829
commit 263163f53e
2 changed files with 0 additions and 7 deletions

View file

@ -13,11 +13,6 @@ function forgit::inside_work_tree
git rev-parse --is-inside-work-tree >/dev/null;
end
if not type -q fzf > /dev/null 2>&1
forgit::warn "FZF not found and is required for forgit"
exit 1
end
set core_pager (git config core.pager)
if test -n $core_pager

View file

@ -3,8 +3,6 @@ forgit::warn() { printf "%b[Warn]%b %s\n" '\e[0;33m' '\e[0m' "$@" >&2; }
forgit::info() { printf "%b[Info]%b %s\n" '\e[0;32m' '\e[0m' "$@" >&2; }
forgit::inside_work_tree() { git rev-parse --is-inside-work-tree >/dev/null; }
hash fzf &>/dev/null || { forgit::warn "FZF not found and is required for forgit"; return 1; }
# https://github.com/wfxr/emoji-cli
hash emojify &>/dev/null && forgit_emojify='|emojify'